Metric Alerts - Create Or Update
Hozzon létre vagy frissítse egy metrikai riasztás definíciót.
PUT https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Insights/metricAlerts/{ruleName}?api-version=2024-03-01-preview
URI-paraméterek
| Name | In | Kötelező | Típus | Description |
|---|---|---|---|---|
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
Az erőforráscsoport neve. A név nem megkülönbözteti a kis- és nagybetűket. |
|
rule
|
path | True |
string |
A szabály neve. |
|
subscription
|
path | True |
string minLength: 1 |
A cél-előfizetés azonosítója. |
|
api-version
|
query | True |
string minLength: 1 |
A művelethez használandó API-verzió. |
Kérelem törzse
| Name | Kötelező | Típus | Description |
|---|---|---|---|
| location | True |
string |
Erőforrás helye |
| properties.criteria | True | MetricAlertCriteria: |
Meghatározza az adott riasztási feltételek adatait. |
| properties.enabled | True |
boolean |
Az a jelző, amely azt jelzi, hogy a metrikariasztás engedélyezve van-e. |
| properties.evaluationFrequency | True |
string (duration) |
A metrikariasztás kiértékelésének gyakorisága ISO 8601 időtartamú formátumban jelenik meg. |
| properties.scopes | True |
string[] |
Azon erőforrás-azonosítók listája, amelyekre ez a metrikariasztás hatóköre vonatkozik. A naplók alapján nem módosíthatja a metrikaszabály hatókörét. |
| properties.severity | True |
integer (int32) |
Riasztás súlyossága {0, 1, 2, 3, 4} |
| identity |
Az erőforrás identitása. |
||
| properties.actionProperties |
object |
A művelettulajdonságok tulajdonságai. |
|
| properties.actions |
A riasztási szabály aktívvá válásakor és egy riasztási feltétel feloldásakor végrehajtott műveletek tömbje. |
||
| properties.autoMitigate |
boolean |
Az a jelző, amely jelzi, hogy a riasztást automatikusan fel kell-e oldani. Az alapértelmezett érték igaz. |
|
| properties.customProperties |
object |
A riasztás hasznos adatainak tulajdonságai. |
|
| properties.description |
string |
A riasztási e-mailben szereplő metrikariasztás leírása. |
|
| properties.resolveConfiguration |
A riasztás feloldásának konfigurációja. A PromQLCriteria esetében alkalmazható. |
||
| properties.targetResourceRegion |
string |
A célerőforrás(ok) régiója, amelyen a riasztás létrejön/frissül. Kötelező, ha a hatókör előfizetést, erőforráscsoportot vagy több erőforrást tartalmaz. |
|
| properties.targetResourceType |
string |
A riasztás létrehozásához/frissítéséhez használt célerőforrás(ok) erőforrástípusa. Kötelező, ha a hatókör előfizetést, erőforráscsoportot vagy több erőforrást tartalmaz. |
|
| properties.windowSize |
string (duration) |
A riasztási tevékenység küszöbérték alapján történő figyelésére használt időtartam (ISO 8601 időtartam formátumban). |
|
| tags |
object |
Erőforráscímkék |
Válaszok
| Name | Típus | Description |
|---|---|---|
| 200 OK |
OKÉ |
|
| Other Status Codes |
Hibás kérés |
Biztonság
azure_auth
Azure Active Directory OAuth2-folyamat
Típus:
oauth2
Folyamat:
implicit
Engedélyezési URL:
https://login.microsoftonline.com/common/oauth2/authorize
Hatókörök
| Name | Description |
|---|---|
| user_impersonation | a felhasználói fiók megszemélyesítése |
Példák
Create or update a dynamic alert rule for Multiple Resources
Mintakérelem
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/MetricAlertOnMultipleResources?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme1",
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme2"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "DynamicThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"operator": "GreaterOrLessThan",
"timeAggregation": "Average",
"dimensions": [],
"alertSensitivity": "Medium",
"failingPeriods": {
"numberOfEvaluationPeriods": 4,
"minFailingPeriodsToAlert": 4
}
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Mintaválasz
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/MetricAlertOnMultipleResources",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme1",
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme2"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "DynamicThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"operator": "GreaterOrLessThan",
"timeAggregation": "Average",
"dimensions": [],
"alertSensitivity": "Medium",
"failingPeriods": {
"numberOfEvaluationPeriods": 4,
"minFailingPeriodsToAlert": 4
}
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Create or update a dynamic alert rule for Single Resource
Mintakérelem
PUT https://management.azure.com/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "DynamicThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"operator": "GreaterOrLessThan",
"timeAggregation": "Average",
"dimensions": [],
"alertSensitivity": "Medium",
"failingPeriods": {
"numberOfEvaluationPeriods": 4,
"minFailingPeriodsToAlert": 4
},
"ignoreDataBefore": "2019-04-04T21:00:00.000Z"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Mintaválasz
{
"id": "/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/chiricutin",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/00000000-0000-0000-0000-000000000000/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "DynamicThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"operator": "GreaterOrLessThan",
"timeAggregation": "Average",
"dimensions": [],
"alertSensitivity": "Medium",
"failingPeriods": {
"numberOfEvaluationPeriods": 4,
"minFailingPeriodsToAlert": 4
},
"ignoreDataBefore": "2019-04-04T21:00:00.000Z"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Create or update a query based alert rule
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2024-03-01-preview
{
"location": "eastus",
"tags": {},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/microsoft.monitor/accounts/gigwadme"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT5M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "StaticThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"}) > 90"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/chiricutin",
"type": "Microsoft.Insights/metricAlerts",
"location": "eastus",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"identity": {
"type": "UserAssigned",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {
"clientId": "778f4d04-3c60-4622-a839-5cf05866c983",
"principalId": "669dd76d-cde8-4dc3-b882-1de566b0c628"
}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/microsoft.monitor/accounts/gigwadme"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT2M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "StaticThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"}) > 90"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Create or update a query based alert rule with dynamic threshold
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2024-03-01-preview
{
"location": "eastus",
"tags": {},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/microsoft.monitor/accounts/gigwadme"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT5M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "DynamicThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"})",
"operator": "LessThan",
"alertSensitivity": "Medium",
"ignoreDataBefore": "2019-04-04T21:00:00.000Z"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/chiricutin",
"type": "Microsoft.Insights/metricAlerts",
"location": "eastus",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"identity": {
"type": "UserAssigned",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {
"clientId": "778f4d04-3c60-4622-a839-5cf05866c983",
"principalId": "669dd76d-cde8-4dc3-b882-1de566b0c628"
}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/microsoft.monitor/accounts/gigwadme"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT2M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "DynamicThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"})",
"operator": "LessThan",
"alertSensitivity": "Medium",
"ignoreDataBefore": "2019-04-04T21:00:00.000Z"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Create or update a resource centric query based alert rule
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2024-03-01-preview
{
"location": "eastus",
"tags": {},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/microsoft.compute/virtualMachines/myVmName"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT5M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "StaticThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"}) > 90"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/chiricutin",
"type": "Microsoft.Insights/metricAlerts",
"location": "eastus",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"identity": {
"type": "UserAssigned",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {
"clientId": "778f4d04-3c60-4622-a839-5cf05866c983",
"principalId": "669dd76d-cde8-4dc3-b882-1de566b0c628"
}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/microsoft.compute/virtualMachines/myVmName"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT2M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "StaticThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"}) > 90"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Create or update a resource centric query based alert rule for Multiple Resources
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2024-03-01-preview
{
"location": "eastus",
"tags": {},
"identity": {
"type": "UserAssigned",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT5M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "StaticThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"}) by (\"microsoft.resourceid\") > 90"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/chiricutin",
"type": "Microsoft.Insights/metricAlerts",
"location": "eastus",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"identity": {
"type": "UserAssigned",
"tenantId": "72f988bf-86f1-41af-91ab-2d7cd011db47",
"userAssignedIdentities": {
"/subscriptions/2f1a501a-6e1d-4f37-a445-462d7f8a563d/resourceGroups/AdisTest/providers/Microsoft.ManagedIdentity/userAssignedIdentities/msi-test-euap": {
"clientId": "778f4d04-3c60-4622-a839-5cf05866c983",
"principalId": "669dd76d-cde8-4dc3-b882-1de566b0c628"
}
}
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7"
],
"evaluationFrequency": "PT1M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.PromQLCriteria",
"failingPeriods": {
"for": "PT2M"
},
"allOf": [
{
"name": "Metric1",
"criterionType": "StaticThresholdCriterion",
"query": "avg({\"system.cpu.utilization\"}) by (\"microsoft.resourceid\") > 90"
}
]
},
"resolveConfiguration": {
"autoResolved": true,
"timeToResolve": "PT10M"
},
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2"
}
],
"actionProperties": {
"Email.Sujbect": "my custom email subject"
},
"customProperties": {
"key11": "value11",
"key12": "value12"
}
}
}
Create or update a web test alert rule
Mintakérelem
PUT https://management.azure.com/subscriptions/12345678-1234-1234-1234-123456789101/resourceGroups/rg-example/providers/Microsoft.Insights/metricAlerts/webtest-name-example?api-version=2024-03-01-preview
{
"location": "global",
"tags": {
"hidden-link:/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/components/webtest-name-example": "Resource",
"hidden-link:/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/webtests/component-example": "Resource"
},
"properties": {
"description": "Automatically created alert rule for availability test \"component-example\" a",
"enabled": true,
"severity": 4,
"windowSize": "PT15M",
"evaluationFrequency": "PT1M",
"criteria": {
"failedLocationCount": 2,
"webTestId": "/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/webtests/component-example",
"componentId": "/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/components/webtest-name-example",
"odata.type": "Microsoft.Azure.Monitor.WebtestLocationAvailabilityCriteria"
},
"actions": [],
"scopes": [
"/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/webtests/component-example",
"/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/components/webtest-name-example"
]
}
}
Mintaválasz
{
"location": "global",
"type": "Microsoft.Insights/metricAlerts",
"name": "webtest-name-example",
"id": "/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/metricalerts/webtest-name-example",
"tags": {
"hidden-link:/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/components/component-example": "Resource",
"hidden-link:/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/webtests/webtest-name-example": "Resource"
},
"properties": {
"description": "Automatically created alert rule for availability test \"webtest-name-example\" a",
"severity": 4,
"enabled": true,
"scopes": [
"/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/webtests/webtest-name-example",
"/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/components/component-example"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"criteria": {
"webTestId": "/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/webtests/webtest-name-example",
"componentId": "/subscriptions/12345678-1234-1234-1234-123456789101/resourcegroups/rg-example/providers/microsoft.insights/components/component-example",
"failedLocationCount": 2,
"odata.type": "Microsoft.Azure.Monitor.WebtestLocationAvailabilityCriteria"
},
"actions": []
}
}
Create or update an alert rule for Multiple Resource
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/MetricAlertOnMultipleResources?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme1",
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme2"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/MetricAlertOnMultipleResources",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme1",
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme2"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Create or update an alert rule for Single Resource
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/chiricutin?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.SingleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "\\Processor(_Total)\\% Processor Time",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/chiricutin",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Compute/virtualMachines/gigwadme"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.SingleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "\\Processor(_Total)\\% Processor Time",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Create or update an alert rule on Resource group(s)
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest1/providers/Microsoft.Insights/metricAlerts/MetricAlertAtResourceGroupLevel?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest1",
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest2"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest1/providers/providers/microsoft.insights/metricalerts/MetricAlertAtResourceGroupLevel",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest1",
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest2"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Create or update an alert rule on Subscription
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/MetricAlertAtSubscriptionLevel?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/MetricAlertAtSubscriptionLevel",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7"
],
"evaluationFrequency": "PT1M",
"windowSize": "PT15M",
"targetResourceType": "Microsoft.Compute/virtualMachines",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"criterionType": "StaticThresholdCriterion",
"name": "High_CPU_80",
"metricName": "Percentage CPU",
"metricNamespace": "microsoft.compute/virtualmachines",
"dimensions": [],
"operator": "GreaterThan",
"threshold": 80.5,
"timeAggregation": "Average"
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Create or update an alert rules with dimensions
Mintakérelem
PUT https://management.azure.com/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.Insights/metricAlerts/MetricAlertOnMultipleDimensions?api-version=2024-03-01-preview
{
"location": "global",
"tags": {},
"properties": {
"description": "This is the description of the rule1",
"enabled": true,
"severity": 3,
"windowSize": "P1D",
"evaluationFrequency": "PT1H",
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.KeyVault/vaults/keyVaultResource"
],
"criteria": {
"allOf": [
{
"metricName": "Availability",
"metricNamespace": "Microsoft.KeyVault/vaults",
"operator": "GreaterThan",
"timeAggregation": "Average",
"name": "Metric1",
"dimensions": [
{
"name": "ActivityName",
"operator": "Include",
"values": [
"*"
]
},
{
"name": "StatusCode",
"operator": "Include",
"values": [
"200"
]
}
],
"criterionType": "StaticThresholdCriterion",
"threshold": 55
}
],
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria"
},
"actions": [
{
"actionGroupId": "/subscriptions/00000000-0000-0000-0000-000000000000/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
],
"autoMitigate": true
}
}
Mintaválasz
{
"id": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/providers/microsoft.insights/metricalerts/MetricAlertWithDimensions",
"type": "Microsoft.Insights/metricAlerts",
"location": "global",
"tags": {
"hidden-link:/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourceGroups/Rac46PostSwapRG/providers/Microsoft.Web/sites/leoalerttest": "Resource"
},
"properties": {
"description": "This is the description of the rule1",
"severity": 3,
"enabled": true,
"scopes": [
"/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourceGroups/gigtest/providers/Microsoft.KeyVault/vaults/keyVaultResource"
],
"evaluationFrequency": "PT1H",
"windowSize": "P1D",
"targetResourceType": "Microsoft.KeyVault/vaults",
"targetResourceRegion": "southcentralus",
"criteria": {
"odata.type": "Microsoft.Azure.Monitor.MultipleResourceMultipleMetricCriteria",
"allOf": [
{
"metricName": "Availability",
"metricNamespace": "Microsoft.KeyVault/vaults",
"operator": "GreaterThan",
"timeAggregation": "Average",
"name": "Metric1",
"dimensions": [
{
"name": "ActivityName",
"operator": "Include",
"values": [
"*"
]
},
{
"name": "StatusCode",
"operator": "Include",
"values": [
"200"
]
}
],
"criterionType": "StaticThresholdCriterion",
"threshold": 55
}
]
},
"autoMitigate": true,
"actions": [
{
"actionGroupId": "/subscriptions/14ddf0c5-77c5-4b53-84f6-e1fa43ad68f7/resourcegroups/gigtest/providers/microsoft.insights/actiongroups/group2",
"webHookProperties": {
"key11": "value11",
"key12": "value12"
}
}
]
}
}
Definíciók
| Name | Description |
|---|---|
|
Additional |
Egy tömb objektumokból álló 'type' és 'info' tulajdonságokkal. Az 'info' sémája szolgáltatásspecifikus, és a 'típus' láncszáltól függ. |
|
Aggregation |
A feltételek időösszesítési típusai. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
Dynamic |
A dinamikus küszöb kritériuma. |
|
Dynamic |
A dinamikus bál lekérdezés kritériuma. |
|
Dynamic |
A riasztás létrehozásához szükséges minimális számú szabálysértés a kijelölt visszatekintési időkereten belül. |
|
Dynamic |
A metrikaérték és a küszöbérték összehasonlítására használt operátor. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
Dynamic |
A riasztás indításához szükséges eltérés mértéke. Ez hatással lesz arra, hogy a küszöbérték mennyire szűk a metrikasorozat-mintához. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
| Error | |
|
Error |
Leírja a hibaválasz részleteit. |
|
Error |
A hibaválasz formátumát ismerteti. |
| Identity |
Az erőforrás identitása. |
|
Identity |
A felügyelt szolgáltatás identitásának típusa. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
Metric |
Riasztási művelet. |
|
Metric |
Megadja a metrikus riasztási kritériumokat több olyan erőforrásra, amelynek több metrikus kritériuma van. |
|
Metric |
A metrikus riasztási forrás. |
|
Metric |
Megadja a metrikai riasztási kritériumokat egyetlen erőforrásra, amelynek több metrikus kritériuma van. |
|
Metric |
Criterion a metrikák szűrésére. |
|
Metric |
Metrikai dimenziót határoz meg. |
| Operator |
A feltétel operátora. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
Prom |
Megadja a PromQL kritériumokat a metrikus riasztási erőforráshoz. |
|
Query |
A lekérdezésalapú riasztások sikertelen időszakainak konfigurálása. |
|
Resolve |
|
|
Static |
A statikus bál lekérdezés kritériuma. |
|
User |
A felhasználó által kijelölt identitás tulajdonságai. |
|
Webtest |
Megadja a metrikus riasztási szabály feltételeit egy webteszt forráshoz. |
AdditionalInfo
Egy tömb objektumokból álló 'type' és 'info' tulajdonságokkal. Az 'info' sémája szolgáltatásspecifikus, és a 'típus' láncszáltól függ.
| Name | Típus | Description |
|---|---|---|
| info |
A típusra vonatkozó további információk. |
|
| type |
string |
A további információk típusa. |
AggregationTypeEnum
A feltételek időösszesítési típusai. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók
| Érték | Description |
|---|---|
| Average | |
| Count | |
| Minimum | |
| Maximum | |
| Total |
DynamicMetricCriteria
A dinamikus küszöb kritériuma.
| Name | Típus | Description |
|---|---|---|
| alertSensitivity |
A riasztás indításához szükséges eltérés mértéke. Ez hatással lesz arra, hogy a küszöbérték mennyire szűk a metrikasorozat-mintához. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
| criterionType |
string:
Dynamic |
Megadja a küszöbértékek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
| dimensions |
A dimenziófeltételek listája. |
|
| failingPeriods |
A riasztás létrehozásához szükséges minimális számú szabálysértés a kijelölt visszatekintési időkereten belül. |
|
| ignoreDataBefore |
string (date-time) |
Ezzel a beállítással megadhatja a metrika előzményadatainak megismerésének és a dinamikus küszöbértékek kiszámításának dátumát (ISO8601 formátumban) |
| metricName |
string |
A metrika neve. |
| metricNamespace |
string |
a metrika Namespace. |
| name |
string |
A feltétel neve. |
| operator |
A metrikaérték és a küszöbérték összehasonlítására használt operátor. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
| skipMetricValidation |
boolean |
Lehetővé teszi, hogy riasztási szabályt hozzon létre egy olyan egyéni metrikán, amely még nincs kibocsátva, mert a metrikaérvényesítést kihagyja. |
| timeAggregation |
A feltételek időösszesítési típusai. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
DynamicPromQLCriteria
A dinamikus bál lekérdezés kritériuma.
| Name | Típus | Description |
|---|---|---|
| alertSensitivity |
A riasztás indításához szükséges eltérés mértéke. Ez hatással lesz arra, hogy a küszöbérték mennyire szűk a metrikasorozat-mintához. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
| criterionType |
string:
Dynamic |
Megadja a küszöbértékek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
| ignoreDataBefore |
string (date-time) |
Ezzel a beállítással megadhatja a metrika előzményadatainak megismerésének és a dinamikus küszöbértékek kiszámításának dátumát (ISO8601 formátumban) |
| name |
string |
A feltétel neve. |
| operator |
A metrikaérték és a küszöbérték összehasonlítására használt operátor. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
| query |
string |
A riasztási szabály kiértékeléséhez használt lekérdezés |
DynamicThresholdFailingPeriods
A riasztás létrehozásához szükséges minimális számú szabálysértés a kijelölt visszatekintési időkereten belül.
| Name | Típus | Description |
|---|---|---|
| minFailingPeriodsToAlert |
number |
A riasztások indításához tartozó szabálysértések száma. Kisebbnek vagy egyenlőnek kell lennie a numberOfEvaluationPeriods értékével. |
| numberOfEvaluationPeriods |
number |
Az összesített visszatekintési pontok száma. A visszatekintési időablak kiszámítása az összesítés részletessége (windowSize) és az összesített pontok kiválasztott száma alapján történik. |
DynamicThresholdOperator
A metrikaérték és a küszöbérték összehasonlítására használt operátor. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók
| Érték | Description |
|---|---|
| GreaterThan | |
| LessThan | |
| GreaterOrLessThan |
DynamicThresholdSensitivity
A riasztás indításához szükséges eltérés mértéke. Ez hatással lesz arra, hogy a küszöbérték mennyire szűk a metrikasorozat-mintához. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók
| Érték | Description |
|---|---|
| Low | |
| Medium | |
| High |
Error
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
Egy tömb objektumokból álló 'type' és 'info' tulajdonságokkal. Az 'info' sémája szolgáltatásspecifikus, és a 'típus' láncszáltól függ. |
|
| code |
string |
Lokalizálatlan string, amely programmazívan azonosítható a hiba azonosítására. |
| details |
További beágyazott hibaválasz-információs objektumok tömbje, a jelen szerződés szerint. |
|
| message |
string |
Részletesen leírja a hibát és javító információkat nyújt. Ha Accept-Language be van állítva a kérésben, akkor lokalizálni kell az adott nyelvre. |
| target |
string |
Az adott hiba célja (például a hibás tulajdonság neve). |
ErrorDetail
Leírja a hibaválasz részleteit.
| Name | Típus | Description |
|---|---|---|
| additionalInfo |
Egy tömb objektumokból álló 'type' és 'info' tulajdonságokkal. Az 'info' sémája szolgáltatásspecifikus, és a 'típus' láncszáltól függ. |
|
| code |
string |
Lokalizálatlan string, amely programmazívan azonosítható a hiba azonosítására. |
| message |
string |
Részletesen leírja a hibát és javító információkat nyújt. |
| target |
string |
Az adott hiba célja (például a hibás tulajdonság neve). |
ErrorResponse
A hibaválasz formátumát ismerteti.
| Name | Típus | Description |
|---|---|---|
| error |
Identity
Az erőforrás identitása.
| Name | Típus | Description |
|---|---|---|
| principalId |
string |
Az erőforrás-identitás egyszerű azonosítója. |
| tenantId |
string |
Az erőforrás bérlőazonosítója. |
| type |
A felügyelt szolgáltatás identitásának típusa. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
| userAssignedIdentities |
<string,
User |
Az erőforráshoz társított felhasználói identitások listája. A felhasználói identitásszótár kulcshivatkozásai az Azure-erőforrás-azonosítók lesznek a következő formában: "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}". |
IdentityType
A felügyelt szolgáltatás identitásának típusa. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók
| Érték | Description |
|---|---|
| SystemAssigned | |
| UserAssigned | |
| None |
MetricAlertAction
Riasztási művelet.
| Name | Típus | Description |
|---|---|---|
| actionGroupId |
string |
A használni kívánt műveletcsoport azonosítója. |
| webHookProperties |
object |
Ez a mező egyéni tulajdonságok megadását teszi lehetővé, amelyeket hozzáfűz a webhook bemeneteként küldött riasztás hasznos adataihoz. |
MetricAlertMultipleResourceMultipleMetricCriteria
Megadja a metrikus riasztási kritériumokat több olyan erőforrásra, amelynek több metrikus kritériuma van.
| Name | Típus | Description |
|---|---|---|
| allOf | MultiMetricCriteria[]: |
Az "összes" művelet több metrikafeltételének listája. |
| odata.type |
string:
Microsoft. |
Megadja a riasztási feltételek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
MetricAlertResource
A metrikus riasztási forrás.
| Name | Típus | Description |
|---|---|---|
| id |
string |
Azure-erőforrás azonosítója |
| identity |
Az erőforrás identitása. |
|
| location |
string |
Erőforrás helye |
| name |
string |
Azure-erőforrás neve |
| properties.actionProperties |
object |
A művelettulajdonságok tulajdonságai. |
| properties.actions |
A riasztási szabály aktívvá válásakor és egy riasztási feltétel feloldásakor végrehajtott műveletek tömbje. |
|
| properties.autoMitigate |
boolean |
Az a jelző, amely jelzi, hogy a riasztást automatikusan fel kell-e oldani. Az alapértelmezett érték igaz. |
| properties.criteria | MetricAlertCriteria: |
Meghatározza az adott riasztási feltételek adatait. |
| properties.customProperties |
object |
A riasztás hasznos adatainak tulajdonságai. |
| properties.description |
string |
A riasztási e-mailben szereplő metrikariasztás leírása. |
| properties.enabled |
boolean |
Az a jelző, amely azt jelzi, hogy a metrikariasztás engedélyezve van-e. |
| properties.evaluationFrequency |
string (duration) |
A metrikariasztás kiértékelésének gyakorisága ISO 8601 időtartamú formátumban jelenik meg. |
| properties.isMigrated |
boolean |
Az érték, amely jelzi, hogy ez a riasztási szabály átvándorolt-e. |
| properties.lastUpdatedTime |
string (date-time) |
Legutóbb a szabályt ISO8601 formátumban frissítették. |
| properties.resolveConfiguration |
A riasztás feloldásának konfigurációja. A PromQLCriteria esetében alkalmazható. |
|
| properties.scopes |
string[] |
Azon erőforrás-azonosítók listája, amelyekre ez a metrikariasztás hatóköre vonatkozik. A naplók alapján nem módosíthatja a metrikaszabály hatókörét. |
| properties.severity |
integer (int32) |
Riasztás súlyossága {0, 1, 2, 3, 4} |
| properties.targetResourceRegion |
string |
A célerőforrás(ok) régiója, amelyen a riasztás létrejön/frissül. Kötelező, ha a hatókör előfizetést, erőforráscsoportot vagy több erőforrást tartalmaz. |
| properties.targetResourceType |
string |
A riasztás létrehozásához/frissítéséhez használt célerőforrás(ok) erőforrástípusa. Kötelező, ha a hatókör előfizetést, erőforráscsoportot vagy több erőforrást tartalmaz. |
| properties.windowSize |
string (duration) |
A riasztási tevékenység küszöbérték alapján történő figyelésére használt időtartam (ISO 8601 időtartam formátumban). |
| tags |
object |
Erőforráscímkék |
| type |
string |
Azure-erőforrástípus |
MetricAlertSingleResourceMultipleMetricCriteria
Megadja a metrikai riasztási kritériumokat egyetlen erőforrásra, amelynek több metrikus kritériuma van.
| Name | Típus | Description |
|---|---|---|
| allOf |
Az "összes" művelet metrikafeltételeinek listája. |
|
| odata.type |
string:
Microsoft. |
Megadja a riasztási feltételek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
MetricCriteria
Criterion a metrikák szűrésére.
| Name | Típus | Description |
|---|---|---|
| criterionType |
string:
Static |
Megadja a küszöbértékek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
| dimensions |
A dimenziófeltételek listája. |
|
| metricName |
string |
A metrika neve. |
| metricNamespace |
string |
a metrika Namespace. |
| name |
string |
A feltétel neve. |
| operator |
A feltétel operátora. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
|
| skipMetricValidation |
boolean |
Lehetővé teszi, hogy riasztási szabályt hozzon létre egy olyan egyéni metrikán, amely még nincs kibocsátva, mert a metrikaérvényesítést kihagyja. |
| threshold |
number (double) |
A riasztást aktiváló feltétel küszöbértéke. |
| timeAggregation |
A feltételek időösszesítési típusai. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
MetricDimension
Metrikai dimenziót határoz meg.
| Name | Típus | Description |
|---|---|---|
| name |
string |
A dimenzió neve. |
| operator |
string |
A dimenzió operátor. Csak az "Include" és a "Exclude" támogatott |
| values |
string[] |
Dimenzióértékek listája. |
Operator
A feltétel operátora. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók
| Érték | Description |
|---|---|
| Equals | |
| GreaterThan | |
| GreaterThanOrEqual | |
| LessThan | |
| LessThanOrEqual |
PromQLCriteria
Megadja a PromQL kritériumokat a metrikus riasztási erőforráshoz.
| Name | Típus | Description |
|---|---|---|
| allOf | MultiPromQLCriteria[]: |
A szalagavató kritériumainak listája. A riasztás akkor jelenik meg, ha minden feltétel teljesül. |
| failingPeriods |
A lekérdezésalapú riasztások sikertelen időszakainak konfigurálása. |
|
| odata.type |
string:
Microsoft. |
Megadja a riasztási feltételek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
QueryFailingPeriods
A lekérdezésalapú riasztások sikertelen időszakainak konfigurálása.
| Name | Típus | Description |
|---|---|---|
| for |
string (duration) |
A riasztás aktiválása előtt aktívnak kell lennie (ISO 8601 időtartamú formátumban). |
ResolveConfiguration
| Name | Típus | Description |
|---|---|---|
| autoResolved |
boolean |
Azt jelzi, hogy a riasztást automatikusan fel kell-e oldani |
| timeToResolve |
string (duration) |
Az az idő (ISO 8601 időtartam formátumban), amely után a riasztást automatikusan fel kell oldani |
StaticPromQLCriteria
A statikus bál lekérdezés kritériuma.
| Name | Típus | Description |
|---|---|---|
| criterionType |
string:
Static |
Megadja a küszöbértékek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
| name |
string |
A feltétel neve. |
| query |
string |
A riasztási szabály kiértékeléséhez használt lekérdezés |
UserIdentityProperties
A felhasználó által kijelölt identitás tulajdonságai.
| Name | Típus | Description |
|---|---|---|
| clientId |
string |
Az erőforrás identitásának kliensazonosítója. |
| principalId |
string |
Az erőforrás-identitás egyszerű azonosítója. |
WebtestLocationAvailabilityCriteria
Megadja a metrikus riasztási szabály feltételeit egy webteszt forráshoz.
| Name | Típus | Description |
|---|---|---|
| componentId |
string |
Az Application Insights erőforrás-azonosítója. |
| failedLocationCount |
number |
A sikertelen helyek száma. |
| odata.type |
string:
Microsoft. |
Megadja a riasztási feltételek típusát. Előfordulhat, hogy a korábban nem dokumentált értékek visszaadhatók |
| webTestId |
string |
Az Application Insights webes tesztazonosítója. |